Get Command

  • GET
  • /workspaces
  • /:workspace
  • /sandboxes
  • /:sandbox_id
  • /commands
  • /:command_id

Get a specific command execution details

Request

REQUIRED SCOPES
SANDBOX_INFO
URL PARAMETERS
workspacerequiredstring
The human-readable ID of the workspace

Example: "my-company"

sandbox_idrequiredstring
The ID of the sandbox

Example: "sb-1234567890abcdef"

command_idrequiredstring
The ID of the command

Example: "cmd-9876543210fedcba"

Response

RESPONSE BODY
urlread-onlystring
API endpoint to GET this object
html_urlread-onlystring
Web URL to view this object in Buddy.works
idstring
The ID of the command
commandstring
Command to execute in the sandbox
runtimestring enum
Runtime environment for command execution (default: BASH)
Allowed enum:
BASH,
JAVASCRIPT,
TYPESCRIPT,
PYTHON
statusstring enum
Command execution status
Allowed enum:
INPROGRESS,
SUCCESSFUL,
FAILED
exit_codeinteger
Command exit code
start_datestring
Command execution start date
finish_datestring
Command execution finish date
logs_urlstring
API endpoint URL to retrieve logs for this command

Last modified on Jan 26, 2026

Request example

CURL
curl -X GET "https://api.buddy.works/workspaces/:workspace/sandboxes/:sandbox_id/commands/:command_id" \ -H "Authorization: Bearer <YOUR-TOKEN>" \ -H "Content-Type: application/json"
EXAMPLE RESPONSE
{ "url": "https://api.buddy.works/workspaces/my-workspace/sandboxes/sb-12345/commands/cmd-abc123def456", "html_url": null, "id": "cmd-abc123def456", "command": "npm test", "runtime": "BASH", "status": "SUCCESSFUL", "exit_code": 0, "logs_url": "https://api.buddy.works/workspaces/my-workspace/sandboxes/sb-12345/commands/cmd-abc123def456/logs" }
STATUS
200 OK